<xsl:stylesheet	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >

	<xsl:output method="html" />

	<xsl:template match="//familytree">
        <html>
		<xsl:call-template name="html-header"/>
        <body>
        <a name="top"><!-- Seitenanfang --></a>
        <center>
        <p>
			<h1>Stammbaum der Familie <xsl:value-of select="@id"/></h1>
	        <small>
	        	(Erstellt von <xsl:value-of select="author"/>
	        	am <xsl:value-of select="version"/>:
	        	<xsl:value-of select="count(member)"/> Personen)
	        </small>
	        
	        <hr />
	        
			<table border="0" cellspacing="0" cellpadding="1" width="100%">
				<tr>
		            <td width="25%" align="center"><a href="map/map.htm">Stammbaum</a></td>
		            <td width="25%" align="center"><b>Index nach Name</b></td>
		            <td width="25%" align="center"><a href="index_jahr.htm">Index nach Geburtsjahr</a></td>
		            <td width="25%" align="center"><a href="statistic.htm">Statistiken</a></td>
				</tr>
			</table>
			
	        <hr />
	        
			<table border="0" cellspacing="0" cellpadding="1" width="100%">
				<tr>
					<td align="center"><xsl:call-template name="initials"/></td>
				</tr>
			</table>
			
	        <hr />
	        
            <xsl:call-template name="index"/>
            <br /><br /><br />
		</p>
        </center>
        </body>
        </html>
	</xsl:template>


    <!--
    	HTML-Header incl. Meta-Tags
    -->
    <xsl:template name="html-header">
		<head>
        <title>Stammbaum der Familie <xsl:value-of select="//familytree/@id"/></title>
        <link rel="stylesheet" type="text/css" href="style.css" />
		</head>
	</xsl:template>


    <!--
        Link-Liste der vorkommenden Initialen
    -->
	<xsl:template name="initials">
		<xsl:for-each select="member">
			<xsl:sort order="ascending" select="@name"/>
			<xsl:variable name="initiale" select="substring(@name, 1, 1)"/>

			<xsl:if test="not(preceding::node()[substring(@name, 1, 1)=$initiale])">
				<a>
					<xsl:attribute name="href">#<xsl:value-of select="$initiale"/></xsl:attribute>
					<xsl:value-of select="$initiale"/>
				</a>
				<xsl:text> </xsl:text>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>


    <!--
        Alphabetischer Index aller Personen mit Einsprung-Link
    -->
	<xsl:template name="index">

        <table border="0" cellspacing="0" cellpadding="1">

			<xsl:for-each select="member">
				<xsl:sort order="ascending" select="@name"/>
				<xsl:variable name="initiale" select="substring(@name, 1, 1)"/>

				<xsl:if test="not(preceding::node()[substring(@name, 1, 1)=$initiale])">
   					<tr>
						<td colspan="2" align="center">
							<a>
								<xsl:attribute name="name"><xsl:value-of select="$initiale"/></xsl:attribute>
			                    <h2><br /><xsl:value-of select="$initiale"/></h2>
							</a>
        	            </td>
            	    </tr>

					<xsl:for-each select="//member[substring(@name, 1, 1)=$initiale]">
						<xsl:sort order="ascending" select="@name"/>
						<xsl:sort order="ascending" select="@nickname"/>
						<xsl:sort order="ascending" data-type="number" select="substring(birth-date, string-length(birth-date) - 3, 4)"/>
   	       				<tr>
							<td>
						        <a>
									<!-- ****************************************************************** -->
			    	   				<xsl:attribute name="href">member/<xsl:value-of select="@id"/>.htm</xsl:attribute>
									<!-- ****************************************************************** -->
	    					        <xsl:value-of select="@name"/><xsl:text>, </xsl:text>
    				    		    <xsl:value-of select="@nickname"/>
				                </a>
							</td>
							<td>
						        <a>
									<!-- ****************************************************************** -->
			    	   				<xsl:attribute name="href">member/<xsl:value-of select="@id"/>.htm</xsl:attribute>
									<!-- ****************************************************************** -->
					    		    (<xsl:choose>
	                                    <xsl:when test="string-length(birth-date)>3">geb.
		                                    <xsl:value-of select="substring(birth-date, string-length(birth-date) - 3, 4)"/>
	                                    </xsl:when>
	                                    <xsl:otherwise>ohne Angabe</xsl:otherwise>
                                    </xsl:choose>)
				                </a>
							</td>
						</tr>
					</xsl:for-each>
				</xsl:if>
			</xsl:for-each>
		</table>
	</xsl:template>

</xsl:stylesheet>