<xsl:stylesheet	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >

	<xsl:output method="html" />

	<xsl:template match="//familytree">
        <html>
		<xsl:call-template name="html-header"/>
        <body>
        <a name="top"><!-- Seitenanfang --></a>
        <center>
        <p>
			<h1>Stammbaum der Familie <xsl:value-of select="@id"/></h1>
	        <small>
	        	(Erstellt von <xsl:value-of select="author"/>
	        	am <xsl:value-of select="version"/>:
	        	<xsl:value-of select="count(member)"/> Personen)
	        </small>
	        <hr />
			<table border="0" cellspacing="0" cellpadding="1" width="100%">
				<tr>
		            <td width="33%" align="center"><a href="index.htm">Index nach Name</a></td>
		            <td width="34%" align="center"><b>Index nach Geburtsjahr</b></td>
		            <td width="33%" align="center"><a href="statistic.htm">Statistiken</a></td>
				</tr>
			</table>
	        <hr />
            <xsl:call-template name="index"/>
            <br /><br /><br />
		</p>
        </center>
        </body>
        </html>
	</xsl:template>


    <!--
    	HTML-Header incl. Meta-Tags
    -->
    <xsl:template name="html-header">
		<head>
        <title>Stammbaum der Familie <xsl:value-of select="//familytree/@id"/></title>
        <link rel="stylesheet" type="text/css" href="style.css" />
		</head>
	</xsl:template>


    <!--
        Index aller Personen
        - zuerst die mit angegebenem Geburtsjahr
        - anschliessend die ohne Geburtsjahr-Angabe
    -->
	<xsl:template name="index">

        <table border="0" cellspacing="0" cellpadding="1">

			<xsl:for-each select="member[string-length(birth-date)>3]">
				<xsl:sort order="ascending" data-type="number" select="substring(birth-date, string-length(birth-date) - 3, 4)"/>
				<xsl:sort order="ascending" select="@name"/>
				<xsl:sort order="ascending" select="@nickname"/>

   				<tr>
					<td>
				        <a>
							<!-- ****************************************************************** -->
	    	   				<xsl:attribute name="href">member/<xsl:value-of select="@id"/>.htm</xsl:attribute>
							<!-- ****************************************************************** -->
   					        <xsl:value-of select="@name"/><xsl:text>, </xsl:text>
			    		    <xsl:value-of select="@nickname"/>
		                </a>
					</td>
					<td>
				        <a>
							<!-- ****************************************************************** -->
	    	   				<xsl:attribute name="href">member/<xsl:value-of select="@id"/>.htm</xsl:attribute>
							<!-- ****************************************************************** -->
			    		    (<xsl:value-of select="substring(birth-date, string-length(birth-date) - 3, 4)"/>)
		                </a>
					</td>
				</tr>

	        </xsl:for-each>
		</table>

        <br />
        <br />
        <b>Ohne Angabe des Geburtsjahrs:</b>
        <br />
        <br />

        <table border="0" cellspacing="0" cellpadding="1">

			<xsl:for-each select="member[not(string-length(birth-date)>3)]">
				<xsl:sort order="ascending" select="@name"/>
				<xsl:sort order="ascending" select="@nickname"/>

   				<tr>
					<td>
				        <a>
							<!-- ****************************************************************** -->
	    	   				<xsl:attribute name="href">member/<xsl:value-of select="@id"/>.htm</xsl:attribute>
							<!-- ****************************************************************** -->
   					        <xsl:value-of select="@name"/><xsl:text>, </xsl:text>
			    		    <xsl:value-of select="@nickname"/>
		                </a>
					</td>
				</tr>

	        </xsl:for-each>
		</table>

    </xsl:template>

</xsl:stylesheet>